﻿namespace U2UConsult.WinRT.DataBindingToEnum.ViewModels
{
    using Mvvm;
    using Windows.UI.Xaml.Data;
    using Windows.UI.Xaml.Input;

    public class MainViewModel : INotifyPropertyChanged
    {    
        private CarColor carColor = CarColor.Black;

        public event PropertyChangedEventHandler PropertyChanged;

        public CarColor CarColor
        {
            get { return carColor; }
            set {
                this.carColor = value;
                this.PropertyChanged.Raise(this, (o) => o.CarColor);
            }
        }

        public ICommand VoteCommand
        {
            get { return new DelegateCommand(Vote_Executed); }
        }

        public void Vote_Executed()
        {
            this.CarColor = CarColor.Red;
        }
    }
}
